Bug 215313 - sysutils/pftop: add ALTQ option, disable by default
Summary: sysutils/pftop: add ALTQ option, disable by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-15 06:50 UTC by Franco Fichtner
Modified: 2017-01-16 18:15 UTC (History)
1 user (show)

See Also:
pi: maintainer-feedback+


Attachments
ALTQ option (1.85 KB, patch)
2016-12-15 06:50 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2016-12-15 06:50:52 UTC
Created attachment 177979 [details]
ALTQ option

ALTQ is not in GENERIC and thus browsing through pftop modes the queue view gives an error.

While there, modernise the ATLQ disable patch, it is not a unified diff.
Comment 1 Marcelo Araujo freebsd_committer 2016-12-28 12:41:17 UTC
Please, send an unified diff.
Comment 2 Franco Fichtner 2016-12-28 12:43:56 UTC
It's an unified diff.  It replaces a non-unified patch in the port.


Cheers,
Franco
Comment 3 Franco Fichtner 2017-01-02 08:14:04 UTC
Any further requests on this?


Happy new year,
Franco
Comment 4 Kurt Jaeger freebsd_committer 2017-01-16 18:14:37 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2017-01-16 18:15:29 UTC
A commit references this bug:

Author: pi
Date: Mon Jan 16 18:14:27 UTC 2017
New revision: 431685
URL: https://svnweb.freebsd.org/changeset/ports/431685

Log:
  sysutils/pftop: add ALTQ option, disable by default

  - ALTQ is not in GENERIC and thus browsing through pftop modes the
    queue view gives an error.
  - While there, modernise the ATLQ disable patch, it is not a unified diff.
  - Add LICENSE

  PR:		215313
  Submitted by:	Franco Fichtner <franco@opnsense.org>
  Approved by:	araujo (maintainer)

Changes:
  head/sysutils/pftop/Makefile
  head/sysutils/pftop/files/patch-config.h